#ifndef __GUI_MENU_H_
#define __GUI_MENU_H_

#include <gtk/gtk.h>

typedef struct s_gui_menu_tree_item {
	GtkWidget *item;
	gboolean right_justify;
	struct s_gui_menu_tree_item *next, *child;
} GuiMenuTree;

GtkWidget *gui_menu_create(GtkWidget *window, GuiMenuTree *gui_menu_tree);
GuiMenuTree *gui_menu_tree_new(GtkWidget *item, gboolean right_justify, ...);
void gui_menu_tree_destroy(GuiMenuTree *p, gboolean destroy);
GtkWidget *gui_menu_item_new_with_label(char *str, GtkSignalFunc func, gpointer data);
GtkWidget *gui_menu_item_hseparator_new(void);

#endif
